:root {
  --main-white: whitesmoke;
  --main-purple: rgb(79, 8, 79);
  --main-blue: #45567d;
  --main-gray: #303841;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1.8rem;
  font-weight: 400;
  line-height: 1.4;
  color: var(--main-white);
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

* {
  margin: 0;
  padding: 0;
}

@media (max-width: 61.25em) {
  html {
    font-size: 58%;
  }
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
  scroll-behavior: smooth;
}

/* Navbar Section */
.nav {
  display: flex;
  justify-content: flex-end;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: linear-gradient(
    42deg,
    rgb(111, 209, 236),
    rgb(56, 114, 146) 100%
  );
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.4);
  z-index: 10;
  height: 7rem;
}

ul {
  list-style: none;
}

.nav-list {
  display: flex;
  margin-right: 2rem;
}

.nav-list a {
  display: block;
  font-size: 3rem;
  padding: 2rem;
}

a {
  text-decoration: none;
  color: var(--main-white);
  cursor: pointer;
}

h1 {
  font-size: 6rem;
}

h1,
h2 {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  text-align: center;
  font-size: 8rem;
  white-space: nowrap;
  width: 100%;
}

/* Welcome  Section */
@keyframes spin {
  0% {
    transform: rotateY(0deg);
  }
  100% {
    transform: rotateY(1turn);
  }
}
.welcome-image {
  border-radius: 99%;
  margin-bottom: 20px;
  height: 40rem;
  width: 40rem;
}
.welcome-image:hover {
  animation: spin 4s linear infinite;
}

.welcome-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  background-color: #000;
  background-image: linear-gradient(22deg, #5f666e 0%, #181719 100%);
  gap: 10px;
  font-family: "Raleway", sans-serif;
  color: rgb(209, 175, 137);
  margin-top: 7rem;
}

.welcome-section > p {
  font-size: 4rem;
  font-weight: 200;
  font-style: italic;
  /* color: var(--main-white); */
  color: rgb(209, 175, 137);
  display: flex;
  text-align: center;
}

/* Project Section */
.project {
  background: var(--main-gray);
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  border-radius: 2px;
  height: 350px;
  border-radius: 5px;
}
.projects-section {
  text-align: center;
  padding: 10rem 2rem;
  background: var(--main-blue);
  font-family: "Raleway", sans-serif;
}
.projects-section-header {
  /* max-width: 640px; */
  margin: 0 auto 6rem auto;
  font-family: "Raleway", sans-serif;

  /* border-bottom: 0.2rem solid var(--main-white); */
  width: 74%;
}
.projects-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  grid-gap: 4rem;
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  margin-bottom: 6rem;
  overflow: hidden;
}
.project-image {
  height: calc(100% - 6.8rem);
  width: 100%;
  border-radius: 5px;
  /* object-fit: contain; */
}

.project-title {
  font-size: 2rem;
  padding: 2rem 0.5rem;
}

.code {
  color: var(--main-gray);
  transition: color 0.3s ease-out;
}
#pagination {
  text-align: center;
}

#prev,
#next {
  margin: 0 20px 0 20px;
  width: 100px;
  height: 40px;
  font-size: 2rem;
  font-family: "Raleway", sans-serif;
  border-radius: 3px;
  text-align: center;
}

/* Contact Section */
.contact-section-header {
  /* background: linear-gradient(62deg, #5f666e 0%, #181719 100%); */
  width: 100%;
  height: 100%;
  min-height: 40em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;
  color: rgb(209, 175, 137);
  margin-top: 5rem;
}

.contact-section {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 100%;
  height: 100%;
  padding: 0 2rem;
  background: linear-gradient(22deg, #5f666e 0%, #181719 100%);
  white-space: nowrap;
}

.contact-links {
  display: flex;
  justify-content: center;
  width: 100%;
  max-width: 980px;
  margin-top: 2rem;
  margin-bottom: 5rem;
  flex-wrap: wrap;
}

.contact-details {
  font-size: 3.5rem;
  text-shadow: 2px 2px 1px #1f1f1f;
  transition: transform 0.3s ease-out;
}

.fa,
.fab,
.fal,
.far,
.fas,
.fa-brands {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
  color: rgb(209, 175, 137);
}
.fa,
.far,
.fas,
.fa-brands {
  font-family: "Font Awesome 5 Free";
}
.fa,
.fas,
.fa-brands {
  font-weight: 900;
}

.btn {
  display: inline-block;
  padding: 1rem 2rem;
  border-radius: 2px;
}

@keyframes bounce {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-50px);
  }
}

.btn:hover {
  animation: bounce 2s infinite;
}

/* Technology Section */
.technologyContainer {
  white-space: nowrap;
  width: 100%;
  height: 100%;
  margin-bottom: 2rem;
}

.slider-track {
  display: inline-flex;
  flex-direction: row;
  animation: scroll 20s infinite linear;
}

.technologyIcons {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: 25px;
}
.technologyIcons:hover {
  transform: translateZ(20px);
  perspective: 100px;
}
.icon-one {
  padding: 0;
  width: 400px;
  height: 400px;
  background: whitesmoke;
  display: flex;
  align-items: center;
  padding: 0;
  transform: translateZ(20px);
  border-radius: 10px 10px 0 0;
}
.icon {
  width: 400px;
  height: 400px;
  background: whitesmoke;
  display: flex;
  align-items: center;
  padding: 15px;
  transform: translateZ(20px);
  border-radius: 10px 10px 0 0;
}

.tName {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 25px;
  color: var(--main-white);
  height: 50px;
  background: linear-gradient(
    42deg,
    rgb(111, 209, 236),
    rgb(56, 114, 146) 100%
  );
  transform: translateZ(20px);
  border-radius: 0 0 10px 10px;
}

@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

::marker {
  color: var(--main-blue);
}
